=== debian/changelog ===
systemd (251.4-3) unstable; urgency=medium

  * resolv.conf: take backup as a fallback in case resolved/resolv.conf
    is not available, and restore on uninstall, which is necessary for
    piuparts checks.

 -- Luca Boccassi <bluca@debian.org>  Sat, 27 Aug 2022 22:39:04 +0100

systemd (251.4-2) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * use systemd-sysusers instead of adduser. This allows dropping the
    dependency on adduser (reducing the dependency set) and in turn allows
    for DPKG_ROOT support of systemd.
  * debian/systemd.postinst: add --root argument to systemctl and
    systemd-* calls for DPKG_ROOT support

  [ Luca Boccassi ]
  * resolved: use DPKG_ROOT and make postinst shellcheck-happy
  * resolved: switch from .links to postinst/rm
  * Update Lintian overrides for new incompatible syntax

 -- Luca Boccassi <bluca@debian.org>  Fri, 26 Aug 2022 23:16:23 +0100

systemd (251.4-1) unstable; urgency=medium

  * New upstream version 251.4
  * Rebase patches
  * Rebuild against fixed dh-nss to avoid duplicates in /etc/nsswitch.conf
    (Closes: #1017096)

 -- Michael Biebl <biebl@debian.org>  Sun, 14 Aug 2022 20:06:18 +0200

systemd (251.3-2) unstable; urgency=medium

  [ Luca Boccassi ]
  * libnss-systemd: also let userdbd manage passwords.
    As of upstream commit:
    https://github.com/systemd/systemd/commit/f43a19ecd6e3415e
    in v249 userdbd can also synthesize shadow/gshadow records,
    so add the shadow config to nsswitch.conf on installation.
    (Closes: #1004326)
  * homed: make PAM rules higher priority than unix users.
    Make sure homed is tried first when logging in. This is required
    after adding nss-systemd support for 'shadow' in /etc/nsswitch.conf.
    See Arch bug: https://bugs.archlinux.org/task/72967

  [ Gioele Barabucci ]
  * d/control: Use dh_installnss
  * d/libnss-myhostname.nss: Install NSS service `myhostname` via dh_installnss
  * d/libnss-mymaschines.nss: Install NSS service `mymaschines` via dh_installnss
  * d/libnss-resolve.nss: Install NSS service `resolve` via dh_installnss
  * d/libnss-systemd.nss: Install NSS service `systemd` via dh_installnss

 -- Michael Biebl <biebl@debian.org>  Fri, 12 Aug 2022 19:06:38 +0200

systemd (251.3-2~exp2) experimental; urgency=medium

  * Note in systemd.NEWS that resolved has moved to a new package
  * systemd-resolved: move conffile from systemd. Copied from systemd-
    timesyncd

 -- Luca Boccassi <bluca@debian.org>  Sun, 07 Aug 2022 00:06:03 +0100

systemd (251.3-2~exp1) experimental; urgency=medium

  * Split systemd-resolved into its own package which takes over
    /etc/resolv.conf (Closes: #939904)

 -- Luca Boccassi <bluca@debian.org>  Thu, 04 Aug 2022 14:55:48 +0100
