## systemd 251.6

=== debian/changelog ===
systemd (251.6-1) unstable; urgency=medium

  * New upstream version 251.6
  * Rebase patches
  * Use dh_installsystemd to enable machines.target in systemd-container

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Oct 2022 16:34:00 +0200

systemd (251.5-3) unstable; urgency=medium

  * Update symbol versions for the v251 release
  * ata_id: fix getting Response Code from SCSI Sense Data (Closes: #1021579)
  * logind: do not emit beep in wall messages (Closes: #1019510)
  * logind: remember our idle state and use it to detect idle level
    transitions (Closes: #963135)
  * logind: fix getting property OnExternalPower via D-Bus (Closes: #1021644)

 -- Michael Biebl <biebl@debian.org>  Wed, 12 Oct 2022 17:01:05 +0200
