## systemd 252

=== debian/changelog ===
systemd (252-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Let dh_installsysusers fix the /var/log/journal permissions.
    dh_installsysusers adds a systemd-sysusers in #DEBHELPER#. Otherwise
    it fails with: /usr/lib/tmpfiles.d/systemd.conf:28: Failed to resolve
    group 'systemd-journal'. Regression of fa0aade329. (Closes: #1023248)
  * Move restarting units after #DEBHELPER#. This makes sure that systemd-
    sysusers was executed as well as systemd-tmpfiles to setup proper
    permissions for /var/log/journal before systemd-journald is being
    restarted.

 -- Luca Boccassi <bluca@debian.org>  Tue, 01 Nov 2022 12:06:18 +0000

systemd (252-1) unstable; urgency=medium

  * Use systemd-sysusers to setup systemd users and groups
  * New upstream version 252
  * Drop patches merged upstream
  * libsystemd0: set symbols version to 252
  * Drop unused lintian override

 -- Luca Boccassi <bluca@debian.org>  Mon, 31 Oct 2022 22:02:43 +0000

systemd (252~rc3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Thu, 27 Oct 2022 15:24:32 +0100

systemd (252~rc3-1) experimental; urgency=medium

  * New upstream version 252~rc3
  * Refresh patches
  * Backport patches to fix tests without machine-id. Drop out-of-tree
    patch and backport upstream fixes.

 -- Luca Boccassi <bluca@debian.org>  Tue, 25 Oct 2022 01:30:02 +0100

systemd (252~rc2-1) experimental; urgency=medium

  [ Jan Kiszka ]
  * Enable systemd-boot for riscv64. Tested against U-Boot 2022.10 as UEFI
    provider on the RZ/Five. Signed-off-by: Jan Kiszka
    <jan.kiszka@siemens.com>

  [ Helmut Grohne ]
  * Conditionalize installation of cryptsetup plugins in stage1 using dh-
    exec (Closes: #1021821)

  [ Michael Biebl ]
  * Install sysusers.d and tmpfiles.d man pages in standalone packages
    (Closes: #1021933)

  [ Luca Boccassi ]
  * d/watch: switch to non-stable repo
  * New upstream version 252~rc2
  * Drop patches merged upstream
  * Refresh patches
  * Update symbols file
  * Update Lintian overrides
  * autopkgtest: update expected output of localectl

 -- Luca Boccassi <bluca@debian.org>  Sat, 22 Oct 2022 01:10:00 +0100
