=== debian/control ===
--- 
+++ 
@@ -14,7 +14,9 @@
 Vcs-Browser: https://salsa.debian.org/systemd-team/systemd
 Homepage: https://www.freedesktop.org/wiki/Software/systemd
 Build-Depends: debhelper-compat (= 13),
+               dh-exec,
                dh-sequence-installnss,
+               dh-sequence-installsysusers,
                dh-sequence-package-notes,
                pkg-config,
                xsltproc <!nodoc>,
@@ -23,7 +25,7 @@
                meson (>= 0.53.2),
                gettext,
                gperf,
-               gnu-efi [amd64 i386 arm64 armhf],
+               gnu-efi [amd64 i386 arm64 armhf riscv64],
                libcap-dev,
                libpam0g-dev,
                libapparmor-dev (>= 2.13) <!stage1>,
@@ -161,7 +163,6 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          systemd,
-         adduser
 Description: tools for sending and receiving remote journal logs
  This package provides tools for sending and receiving remote journal logs:
   * systemd-journal-remote
@@ -174,7 +175,6 @@
 Multi-Arch: foreign
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         adduser,
          systemd
 Recommends: libdw1
 Conflicts: core-dump-handler
@@ -191,7 +191,6 @@
 Priority: standard
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         adduser,
          systemd
 Breaks: systemd (<< 245.4-2~),
 Conflicts: time-daemon
@@ -323,4 +322,3 @@
  use libsystemd.
 
 Package: libsystemd-shared
-Architecture: linux-any
